export declare class SpwTableRow {
    el: HTMLSpwTableRowElement;
    /** Permet de changer le state du spw-table-row  */
    state?: 'default' | 'selected' | 'disabled';
    /** Définit le padding pour toutes les cellules de la row */
    padding?: 'small' | 'medium';
    private mutationObserver?;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    private setupMutationObserver;
    slotChanged(): void;
    onStateChange(): void;
    onPaddingChange(): void;
    private applyPropsToChildren;
    private get elementClass();
    render(): any;
}
